This Help forum is for issues relates to the latest release (1.4.6). For issues related to beta or git version please use their own Help forum.
Before asking for help please read "How to request help" by clicking on that tab above here.

TOPIC: upgrading from 1.4.6 to 1.7.3 ?

upgrading from 1.4.6 to 1.7.3 ? 2 years 3 months ago #1

  • bobek
  • bobek's Avatar
Hi,
there are any problems with upgrading 1.4.6 to 1.7.3?
My server use PHP 4/5.2/5.3/5.4/5.5/5.6/7.0

I use standard theme.

Best regards,
The administrator has disabled public write access.

upgrading from 1.4.6 to 1.7.3 ? 2 years 3 months ago #2

  • fisharebest
  • fisharebest's Avatar
  • Offline
  • Administrator
  • Posts: 10250
The updrade should work OK.

If you have any custom modules, you should delete these first.

It is always recommended to create a backup before you start. (e.g. export your data to a GEDCOM file).

Greg
Greg Roach - This email address is being protected from spambots. You need JavaScript enabled to view it. - fisharebest.webtrees.net
The administrator has disabled public write access.

upgrading from 1.4.6 to 1.7.3 ? 2 years 3 months ago #3

  • Jackie
  • Jackie's Avatar
  • Offline
  • Platinum
  • Posts: 4691
Hi,

Reading the Wiki page "Upgrading" may help:
wiki.webtrees.net/en/Upgrading
The administrator has disabled public write access.

error !!! please help ! 2 years 3 months ago #4

  • bobek
  • bobek's Avatar
after upgrading i hav an error! my service doesnt work :(


Parse error: syntax error, unexpected T_STRING in /home/bolek19/domains/rodzina.mazowsze.pl/public_html/index.php on line 16
The administrator has disabled public write access.

error !!! please help ! 2 years 3 months ago #5

  • fisharebest
  • fisharebest's Avatar
  • Offline
  • Administrator
  • Posts: 10250
Which version of PHP are you using?

webtrees <= 1.4.6 will run on PHP 5.2
webtrees >= 1.5.0 requires PHP 5.3 or later
Greg Roach - This email address is being protected from spambots. You need JavaScript enabled to view it. - fisharebest.webtrees.net
The administrator has disabled public write access.

error !!! please help ! 2 years 3 months ago #6

  • bobek
  • bobek's Avatar
there are any problems with upgrading 1.4.6 to 1.7.3?
My server use PHP 4/5.2/5.3/5.4/5.5/5.6/7.0
The administrator has disabled public write access.

error !!! please help ! 2 years 3 months ago #7

  • fisharebest
  • fisharebest's Avatar
  • Offline
  • Administrator
  • Posts: 10250
> My server use PHP 4/5.2/5.3/5.4/5.5/5.6/7.0

Which version are you using?

For webtrees 1.7.3, you must use PHP 5.3 - 7.0.

The error message indicates that you are still using PHP 5.2
Greg Roach - This email address is being protected from spambots. You need JavaScript enabled to view it. - fisharebest.webtrees.net
The administrator has disabled public write access.

error !!! please help ! 2 years 3 months ago #8

  • bobek
  • bobek's Avatar
my host serv support PHP 4/5.2/5.3/5.4/5.5/5.6/7.0...
The administrator has disabled public write access.
Do you need a web hosting solution for your webtrees site?
If you prefer a host that specialises in webtrees, the following page lists some suppliers able to provide one for you: 

error !!! please help ! 2 years 3 months ago #9

  • fisharebest
  • fisharebest's Avatar
  • Offline
  • Administrator
  • Posts: 10250
> my host serv support PHP 4/5.2/5.3/5.4/5.5/5.6/7.0...

I recommend that you select 5.6.
Greg Roach - This email address is being protected from spambots. You need JavaScript enabled to view it. - fisharebest.webtrees.net
The administrator has disabled public write access.

error !!! please help ! 2 years 3 months ago #10

  • bobek
  • bobek's Avatar
how can i select ?
The administrator has disabled public write access.

error !!! please help ! 2 years 3 months ago #11

  • bobek
  • bobek's Avatar
ok :) i make that :) actualy i have 5.6
The administrator has disabled public write access.
Moderators: makitso
Powered by Kunena Forum